diff -ur vlc-0.8.2/modules/gui/wxwindows/bookmarks.cpp vlc-0.8.2.phh/modules/gui/wxwindows/bookmarks.cpp
--- vlc-0.8.2/modules/gui/wxwindows/bookmarks.cpp	2005-06-25 15:43:09.000000000 +0200
+++ vlc-0.8.2.phh/modules/gui/wxwindows/bookmarks.cpp	2005-06-26 22:19:47.000000000 +0200
@@ -146,8 +146,7 @@
     wxBoxSizer *panel_sizer = new wxBoxSizer( wxVERTICAL );
 
     wxFlexGridSizer * sizer = new wxFlexGridSizer( 2 , 3 , 1 );
-    name_text = new wxTextCtrl( this, -1, wxU( p_seekpoint->psz_name ?
-                                               p_seekpoint->psz_name : "" ),
+    name_text = new wxTextCtrl( this, -1, wxU( p_seekpoint->psz_name),
                                 wxDefaultPosition, wxSize( 100, 20) );
     time_text = new wxTextCtrl( this, -1, wxString::Format(wxT("%d"),
                                 (int)(p_seekpoint->i_time_offset / 1000000) ),
diff -ur vlc-0.8.2/modules/gui/wxwindows/dialogs.cpp vlc-0.8.2.phh/modules/gui/wxwindows/dialogs.cpp
--- vlc-0.8.2/modules/gui/wxwindows/dialogs.cpp	2005-06-25 15:43:09.000000000 +0200
+++ vlc-0.8.2.phh/modules/gui/wxwindows/dialogs.cpp	2005-06-26 22:22:12.000000000 +0200
@@ -156,7 +156,11 @@
     p_intf->p_sys->p_icon = new wxIcon( vlc_xpm );
 
     /* Create the messages dialog so it can begin storing logs */
-    p_messages_dialog = new Messages( p_intf, p_parent ? p_parent : this );
+    wxWindow *win;
+    win=this;
+    if(p_parent)
+	    win=p_parent;
+    p_messages_dialog = new Messages( p_intf, win );
 
     /* Check if user wants to show the bookmarks dialog by default */
     wxCommandEvent dummy_event;
diff -ur vlc-0.8.2/modules/gui/wxwindows/preferences.cpp vlc-0.8.2.phh/modules/gui/wxwindows/preferences.cpp
--- vlc-0.8.2/modules/gui/wxwindows/preferences.cpp	2005-06-25 15:43:09.000000000 +0200
+++ vlc-0.8.2.phh/modules/gui/wxwindows/preferences.cpp	2005-06-26 22:18:56.000000000 +0200
@@ -684,8 +684,7 @@
     wxTreeItemIdValue cookie, cookie2, cookie3;
     ConfigTreeData *config_data;
 
-    config_data = !GetSelection() ? NULL :
-        FindModuleConfig( (ConfigTreeData *)GetItemData( GetSelection() ) );
+    config_data = FindModuleConfig( (ConfigTreeData *)GetItemData( GetSelection() ) );
     if( config_data  )
     {
         config_data->panel->Hide();
@@ -820,8 +819,7 @@
 {
     b_advanced = event.GetInt();
 
-    ConfigTreeData *config_data = !GetSelection() ? NULL :
-        FindModuleConfig( (ConfigTreeData *)GetItemData( GetSelection() ) );
+    ConfigTreeData *config_data = FindModuleConfig( (ConfigTreeData *)GetItemData( GetSelection() ) );
     if( config_data  )
     {
         config_data->panel->Hide();
diff -ur vlc-0.8.2/modules/gui/wxwindows/wizard.cpp vlc-0.8.2.phh/modules/gui/wxwindows/wizard.cpp
--- vlc-0.8.2/modules/gui/wxwindows/wizard.cpp	2005-06-25 15:43:09.000000000 +0200
+++ vlc-0.8.2.phh/modules/gui/wxwindows/wizard.cpp	2005-06-26 22:18:17.000000000 +0200
@@ -1085,7 +1085,7 @@
         }
     }
     p_parent->SetStream( methods_array[i_method].psz_access ,
-                         (char *)address_txtctrl->GetValue().mb_str() );
+                         (const char *)address_txtctrl->GetValue().mb_str() );
 
     /* Set the action for the muxer page */
     ((wizEncapPage*)GetNext())->SetAction( p_parent->GetAction() );
diff -ur vlc-0.8.2/modules/gui/wxwindows/wxwindows.cpp vlc-0.8.2.phh/modules/gui/wxwindows/wxwindows.cpp
--- vlc-0.8.2/modules/gui/wxwindows/wxwindows.cpp	2005-06-25 15:43:09.000000000 +0200
+++ vlc-0.8.2.phh/modules/gui/wxwindows/wxwindows.cpp	2005-06-26 22:20:55.000000000 +0200
@@ -358,8 +358,7 @@
 
     /* Creates the dialogs provider */
     p_intf->p_sys->p_wxwindow =
-        CreateDialogsProvider( p_intf, p_intf->pf_show_dialog ?
-                               NULL : p_intf->p_sys->p_wxwindow );
+        CreateDialogsProvider( p_intf, p_intf->p_sys->p_wxwindow );
 
     p_intf->p_sys->pf_show_dialog = ShowDialog;
 
